Disable payment link | Moov Documentation
Disable payment link
Disable a payment link.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.write scope.
Endpoint
DELETE /accounts/{accountID}/payment-links/{paymentLinkCode}
Example Requests
cURL
curl -X DELETE "https://api.moov.io/accounts/{accountID}/payment-links/{paymentLinkCode}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"
JavaScript (TypeScript)
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.paymentLinks.disable({
accountID: "c1cf000d-0dd9-4dec-bd5e-a88e135adf82",
paymentLinkCode: "uc7ZYKrMhi",
});
console.log(result);
}
run();
PHP
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->paymentLinks->disable(
accountID: 'c1cf000d-0dd9-4dec-bd5e-a88e135adf82',
paymentLinkCode: 'uc7ZYKrMhi'
);
if ($response->statusCode === 200) {
// handle response
}
Java
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.DisablePaymentLinkResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
DisablePaymentLinkResponse res = sdk.paymentLinks().disable()
.accountID("c1cf000d-0dd9-4dec-bd5e-a88e135adf82")
.paymentLinkCode("uc7ZYKrMhi")
.call();
// handle response
}
}
Python
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.payment_links.disable(account_id="c1cf000d-0dd9-4dec-bd5e-a88e135adf82", payment_link_code="uc7ZYKrMhi")
# Handle response
print(res)
Ruby
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.payment_links.disable(account_id: 'c1cf000d-0dd9-4dec-bd5e-a88e135adf82', payment_link_code: 'uc7ZYKrMhi')
if res.status_code == 200
# handle response
end
C#
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.PaymentLinks.DisableAsync(
accountID: "c1cf000d-0dd9-4dec-bd5e-a88e135adf82",
paymentLinkCode: "uc7ZYKrMhi"
);
// handle response
Response Codes
- 200: The request completed successfully.
- 401: The user is not authorized to make the request.
- 404: The requested resource was not found.
- 429: Request was refused due to rate limiting.
- 500: The request failed due to an unexpected error.
Set the header to v2026.04.00 to use the API described in this specification.